{{- $teamSlice := partials.IncludeCached "data/team" page }}

{{- $manager := "" }}
{{- $counterparts := slice }}

{{- with (.Get "manager") }}
    {{- $manager = . }}
{{- end }}
{{- with (.Get "manager-role") }}
    {{- $member := where $teamSlice "role" "like" . }}
    {{- $manager = (index $member 0).slug }}
{{- end }}

{{- with (.Get "role") }}
    {{ $members := where (where (where $teamSlice "role" "like" .) "reports_to" "ne" $manager) "slug" "ne" $manager }}
    {{ $counterparts = append $members $counterparts }}
{{- end }}

<table>
    <thead>
        <th>Name</th>
        <th>Role</th>
    </thead>
    <tbody>
        {{- range $counterparts }}
          <tr>
              <td>{{ partial "member-by-name" .name }}</td>
              <td>{{ .role | safe.HTML }}</td>
          </tr>
          {{- end }}
    </tbody>
</table>

<style>
    img.avatar {
    width: 30px;
    height: 30px;
    max-width: 30px;
    max-height: 30px;
    overflow: hidden;
    margin-right: 10px;
    border-radius: 50%;
    border: 1px solid lightgray;
    aspect-ratio: auto 90 / 90;
    overflow-clip-margin: content-box;
    }
</style>
